Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Streams Advanced Queuing Java API Reference 10g Release 2 (10.2) B14291-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jms
Class AQjmsParseException

`java.lang.Object
java.lang.Throwable
java.lang.Exception
javax.jms.JMSException
oracle.jms.AQjmsParseException`

All Implemented Interfaces:
  java.io.Serializable

public class AQjmsParseException
extends JMSException

This is an Oracle class which extends `javax.jms.JMSException`. It is used to report errors which occur while parsing selector expressions.

See Also:
  Serialized Form

Method Summary
`java.lang.String` | `getAllStackTracesString()` Returns a string containing the stack traces of all exceptions in the order: this exception linked exception next linked exception, etc
`java.lang.String` | `getLinkString()` Returns a string indicating that the message is from the linked exception.
`void` | `printStackTrace()` Prints this throwable and its backtrace to the standard error stream.
`void` | `printStackTrace(java.io.PrintStream stream)` Prints this throwable and its backtrace to the specified print stream.
`void` | `printStackTrace(java.io.PrintWriter stream)` Prints this throwable and its backtrace to the specified print writer.

Methods inherited from class javax.jms.JMSException
`getErrorCode, getLinkedException, setLinkedException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### printStackTrace

    public void printStackTrace()

  Prints this throwable and its backtrace to the standard error stream.

### printStackTrace

    public void printStackTrace(java.io.PrintStream stream)

  Prints this throwable and its backtrace to the specified print stream.
  Parameters:
    `stream` - `PrintStream` to use for output

### printStackTrace

    public void printStackTrace(java.io.PrintWriter stream)

  Prints this throwable and its backtrace to the specified print writer.
  Parameters:
    `stream` - `PrintWriter` to use for output

### getLinkString

    public java.lang.String getLinkString()

  Returns a string indicating that the message is from the linked exception.
  Returns:
    the string

### getAllStackTracesString

    public java.lang.String getAllStackTracesString()

  Returns a string containing the stack traces of all exceptions in the order:
  - this exception
  - linked exception
  - next linked exception, etc
  Returns:
    the string

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Streams Advanced Queuing Java API Reference 10g Release 2 (10.2) B14291-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2005, Oracle. All rights reserved.